<?php require_once "header.php" ?>

    <h2>Informations sur l'équipe</h2>

    Nom de l'équipe : <?= $team->getName() ?><br/>
    Trigramme : <?= $team->getTrigram() ?><br/>
    Problème : <a href="/problem/<?= $team->getProblem() ?>"><?= $team->getProblem() ?></a><br/>
<?php
if ($team->getEncadrantId() !== null) {
	$encadrant = User::fromId($team->getEncadrantId());
	$id = $encadrant->getId();
	echo "Encadrant : <a href=\"$URL_BASE/informations/$id/" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "\">" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "</a><br />";
}
for ($i = 1; $i <= 5; ++$i) {
	if ($team->getParticipants()[$i - 1] == NULL)
		continue;
	$participant = User::fromId($team->getParticipants()[$i - 1]);
	$id = $participant->getId();
	echo "Participant $i : <a href=\"$URL_BASE/informations/$id/" . $participant->getFirstName() . " " . $participant->getSurname() . "\">" . $participant->getFirstName() . " " . $participant->getSurname() . "</a><br />";
}
?>
    Autorise Animath à diffuser les vidéos : <?= $team->allowPublish() ? "oui" : "non" ?>

<?php
if ($_SESSION["role"] == Role::ADMIN) { ?>
    <hr />
    <form method="POST">
        <label for="other_teams">L'équipe va recevoir les questions des équipes suivantes (merci d'en sélectionner exactement 2) :</label>
        <select id="other_teams" name="other_teams[]" multiple>
            <?php
            /** @var Team $other_team */
			foreach ($other_teams as $other_team) {
                if ($other_team->getId() == $team->getId())
                    continue;

                $team_name = $other_team->getName() . " (" . $other_team->getTrigram() . ")";
                $team_id = $other_team->getId();
                echo "<option value=\"$team_id\" " . (in_array($other_team->getId(), $team->getVideoTeamIds()) ? "selected" : "") . ">$team_name</option>\n";
            }
            ?>
        </select>
        <input type="submit" name="update_video_teams" value="Mettre à jour" />
    </form>
<?php } ?>

    <hr/>

    <h2>Autorisations</h2>

<?php printDocuments($documents) ?>

    <form method="POST">
        <input type="submit" name="download_zip" value="Télécharger l'archive"/>
    </form>

<?php if ($team->getValidationStatus() == ValidationStatus::WAITING && $_SESSION["role"] == Role::ADMIN) { ?>
    <hr />
    <form method="POST">
        <input type="submit" name="validate" value="Valider l'équipe"/>
    </form>
	<?php
}

require_once "footer.php" ?>